// customized/pages/canvas/canvas.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
    let ctx = wx.createCanvasContext('fontBox');
    ctx.textBaseline = 'top';
    // ctx.textAlign = "center";
    ctx.setFontSize(20);
    let rotate = 0
    // ctx.translate(50,50)
    ctx.rotate(rotate * Math.PI / 180);
    // ctx.translate(50, 0)
    ctx.fillText('王',0, 0);
    
    ctx.draw();
    ctx.restore()
  },

})